package ch.polgrabia.demos.server;

import io.vertx.core.Vertx;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class WebsocketServerApp {
    private static final Logger logger = LoggerFactory.getLogger(WebsocketServerApp.class);

    public static void main(String[] args) {
        var vertx = Vertx.vertx();
        WebsocketServerChatVerticle websocketServerChatVerticle = new WebsocketServerChatVerticle(8080, "localhost");
        vertx.deployVerticle(websocketServerChatVerticle);
        websocketServerChatVerticle
                .waitUntilFinished()
                .join();
        vertx.close();
    }
}